Summary:       Real-time Convolution Engine
Name:          jconvolver
Version:       0.9.2
Release:       7%{?dist}
License:       GPLv2+
Group:         Applications/Multimedia
URL:           http://www.kokkinizita.net/linuxaudio/
Source0:       http://www.kokkinizita.net/linuxaudio/downloads/%{name}-%{version}.tar.bz2
# Demo reverbs
# Don't bundle until license is cleared up
#Source1:       http://www.kokkinizita.net/linuxaudio/downloads/%{name}-reverbs.tar.bz2
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Obsoletes:     jace <= 0.2.0
Provides:      jace = %{version}-%{release}
Obsoletes:     jconv <= 0.8.1
Provides:      jconv = %{version}-%{release}


BuildRequires: clthreads-devel 
BuildRequires: fftw-devel 
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: libsndfile-devel 
BuildRequires: zita-convolver-devel >= 3.0.2

Requires: zita-convolver >= 3.0.2

%description
Jconvolver is a real-time convolution engine. It can execute up to a 64 by 64
convolution matrix (i.e. 4096 simultaneous convolutions) as long as your CPU(s)
can handle the load. It is designed to be efficient also for sparse (e.g.
diagonal) matrices. Unused matrix elements do not take any CPY time.

%prep
#setup -q -a 1
%setup -q

# fix paths of configuration files
find config-files/ -name \*.conf \
  -exec sed -i -e "s|/audio/reverbs|%{_datadir}/%{name}/reverbs|g" {} \; \
  -exec sed -i -e "s|^#/cd |/cd |g" {} \;


# Force Fedora's optflags
sed -i -e 's|-O3|%{optflags}|' -e '/-march=native/d' source/Makefile

%build
make %{?_smp_mflags} PREFIX=%{_prefix} LIBDIR=%{_lib} -C source

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
make install PREFIX=%{buildroot}%{_prefix} LIBDIR=%{_lib} -C source

# install configuration files and demo reverbs
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -a config-files/* %{buildroot}%{_datadir}/%{name}
#cp -a reverbs/ %%{buildroot}%%{_datadir}/%%{name}/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS README* COPYING
%{_bindir}/*
%{_datadir}/%{name}/

%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Oct 19 2011 Brendan Jones <brendan.jones.it@gmail.com> - 0.9.1-1
- Updated to version 0.9.2

* Wed Oct 19 2011 Brendan Jones <brendan.jones.it@gmail.com> - 0.9.1-1
- Updated to version 0.9.1

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jun 02 2010 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.8.7-1
- New version (2 more attempts & still no response from upstream about the reverbs)

* Fri Mar 12 2010 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.8.6-1
- New version (still no response from upstream about the reverbs)

* Tue Dec 22 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.8.4-2
- Don't bundle the reverbs until we hear from the author about the license

* Wed Dec 16 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.8.4-1
- update version to 0.8.4
- software name changed from jconv to jconvolver
- drop libsndfile patch. not needed anymore

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue May 05 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.8.1-1
- update version to 0.8.1
- prepare package for Fedora submission (SPEC file from PlanetCCRMA)

* Sat Mar 21 2009 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.8.0-2
- fix typo in uhjenc.conf

* Sat Mar 21 2009 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.8.0-1
- updated to 0.8.0, include new extended demo reverb files
- move configuration and examples to /usr/share/jconv/

* Wed Oct 29 2008 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.0-1
- package renamed to jconv from jace, now uses the zita-convolver library
- upgrade to jconv 0.2.0

* Wed Sep  5 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.0-1
- update to 0.2.0
- add springreverb.wav

* Thu Apr 19 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.1.0-1
- update to 0.1.0

* Sun Apr  1 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.4-2
- update to 0.0.4
- include lucia.wav example impulse response
- tweak demo configuration files to point to the doc directory

* Tue Dec 12 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.3-2
- build on fc6

* Sat May 13 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.1.8-1
- initial build
